Page MenuHomePhabricator

Add copy button to URL shortener result
Closed, ResolvedPublic

Description

After shortening, you need to select and copy the link from Special:UrlShortener. It would be amazing if we had a button and when you clicked it, boom, magically it stores it in the clipboard.

The copied URL should also have the https:// attached to it, since in the wikis this prefix is needed to be recognized as a URL.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2019, 10:09 AM
Aklapper renamed this task from Add copy button to URL shortner result to Add copy button to URL shortener result.Apr 2 2019, 5:18 PM

If it can same as Google translate button

The first thing here is determine the icon, ooui doesn't have any icon that can resemble copy: https://doc.wikimedia.org/oojs-ui/master/demos/?page=icons&theme=wikimediaui&direction=ltr&platform=desktop
@Volker_E Do you know which icon is good for this use case?

TheDJ added a subscriber: TheDJ.Apr 12 2019, 7:41 AM
This comment was removed by ondrej.merkun.

Change 510829 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/UrlShortener@master] Add copy to clipboard button

https://gerrit.wikimedia.org/r/510829

I didn't see this task before writing the patch, sorry. I went with the "articles" icon:

which appears to be fairly commonly used for "copy icon":

Change 510829 merged by jenkins-bot:
[mediawiki/extensions/UrlShortener@master] Add copy to clipboard button

https://gerrit.wikimedia.org/r/510829

TheDJ closed this task as Resolved.May 19 2019, 5:07 PM
TheDJ assigned this task to Esanders.
TheDJ removed a project: Patch-For-Review.